Package org.springframework.core

# Enum Class NativeDetector.Context

java.lang.Object
java.lang.Enum<NativeDetector.Context>
org.springframework.core.NativeDetector.Context

All Implemented Interfaces:
  `Serializable`, `Comparable<NativeDetector.Context>`, `Constable`

Enclosing class:
  NativeDetector

public static enum NativeDetector.Context extends Enum<NativeDetector.Context>
Native image context as defined in GraalVM's ImageInfo.

Since:
  6.0.10

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BUILD`
The code is executing in the context of image building.
`RUN`
The code is executing at image runtime.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`static NativeDetector.Context`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static NativeDetector.Context[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BUILD

public static final NativeDetector.Context BUILD
The code is executing in the context of image building.

### RUN

public static final NativeDetector.Context RUN
The code is executing at image runtime.

## Method Details

### values

public static NativeDetector.Context[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static NativeDetector.Context valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<NativeDetector.Context>`